## com.puppycrawl.tools.checkstyle.filters
Class SuppressElement

    java.lang.Object
      com.puppycrawl.tools.checkstyle.filters.SuppressElement

All Implemented Interfaces:
  Filter

    public class SuppressElement

extends Object
implements Filter

This filter accepts AuditEvents according to file, check, line, and column conditions. It rejects an AuditEvent if the event's file name and check name match the filter's file name and check name patterns, and the event's line is in the filter's line CSV or the check's columns is in the filter's column CSV.

Author:
  Rick Giles

Constructor Summary
`SuppressElement(String aFiles, String aChecks)` Constructs a `SuppressElement` for a file name pattern and and a check class pattern.

Method Summary
`boolean` `accept(AuditEvent aEvent)` Determines whether or not a filtered AuditEvent is accepted.
`boolean` `equals(Object aObject)`
`int` `hashCode()`
`void` `setColumns(String aColumns)` Sets the CSV values and ranges for column number filtering.
`void` `setLines(String aLines)` Sets the CSV values and ranges for line number filtering.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SuppressElement

    public SuppressElement(String aFiles,
                           String aChecks)
                    throws PatternSyntaxException

  Constructs a `SuppressElement` for a file name pattern and and a check class pattern.

  Parameters:
    `aFiles` - regular expression for names of filtered files.
    `aChecks` - regular expression for filtered check classes.
  Throws:
    `PatternSyntaxException` - if there is an error.

Method Detail

### setLines

    public void setLines(String aLines)

  Sets the CSV values and ranges for line number filtering. E.g. "1,7-15,18".

  Parameters:
    `aLines` - CSV values and ranges for line number filtering.

### setColumns

    public void setColumns(String aColumns)

  Sets the CSV values and ranges for column number filtering. E.g. "1,7-15,18".

  Parameters:
    `aColumns` - CSV values and ranges for column number filtering.

### accept

    public boolean accept(AuditEvent aEvent)

  Determines whether or not a filtered AuditEvent is accepted.

  Specified by:
    `accept` in interface `Filter`
  Parameters:
    `aEvent` - the AudtiEvent to filter.
  Returns:
    true if the aEvent is accepted.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object aObject)

  Overrides:
    `equals` in class `Object`

Back to the Checkstyle Home Page